:root{
    --dark:#0B0E13;
    --main:#CBFE1C;
}
body{
    max-width: 100svw;
    min-height: 100svh;
    font-family: Chakra Petch, sans-serif;
    background-color: var(--dark);
}
::selection{
    background-color: var(--main);
    color: black ;
}
.btn-bg-main{
    background-color: var(--main);
}
.bg-main{
    background-color: var(--main);
}
.bg-darkk{
    background-color: var(--dark);
}
.text-main{
    color: var(--main) !important;
}
.text-nav-item{
    font-size: 0.98rem;
    transition: all 0.3s ease;
}
.text-nav-item:hover{
    color: var(--main) !important;
}
.navbar .btn-hover-1:hover ,
.hero-section  .btn-hover-1:hover,
.contact-us .btn-hover-1:hover{
    background-color: #A5CE1A !important;
}
.btn-hover-2{
    transition: all 0.3s ease;
}
.hero-section .btn-hover-2:hover,
.our-games .btn-hover-2:hover{
    background-color: var(--main);
    color: black !important;
}
.text-main-hover{
    transition: all 0.3s ease;
}
.text-main-hover:hover{
    color: var(--main) !important;
}
.boldest{
    font-weight: 900;
}
.padding{
    padding-top: 10rem;
}
.bg-image{
    background-image:  linear-gradient(rgba(0, 0, 0, 0.863)), url(../Media/hero-bg-H6PoyNYD.jpg);
    background-size: cover;
    background-position: center;
    background-attachment: fixed;
}
.border-main{
    border: 4px solid var(--main);
}
.h-65{
    height: 65%;
}
.w-45{
    width: 45%;
}
.w-95{
    width: 95%;
}
.text-light-gray{
    color: #d1d5db;
}
.fs-great{
    font-size: 4rem;
}
.text-font-family{
    font-family: Days One, sans-serif;;
}
.w-fit-content{
    width: fit-content;
}
.fs-small{
    font-size: 0.8rem;
}
.fs-smallest{
    font-size: 0.7rem;
}
.pos{
    bottom: 30%;
    left: -6%;
}
.border-main{
    border-color: var(--main) !important;
}
.contact-us{
    background-color: #0F1625;
}
.cont{
    position: relative;
    width: 280px;
}
.cont::before,
.cont::after{
    content: "";
    position: absolute;
    top: 50%;
    width: 60px;
    height: 2px;
    transform: translateY(-50%);
}
.cont::before{
    left: 0;
    background: linear-gradient(to right, transparent, #d6ff00);

}
.cont::after{
    right: 0;
    background: linear-gradient(to left, transparent, #d6ff00);

}
.icon{
    width: 60px;
    height: 60px;
}
.bg-light-dark{
    background-color: #1E2939;
}
.bg-gradiant{
    background-image: linear-gradient(to right, #CBFE1E , #17E072);
}
.media div{
    background-color: #0B0E13;
    width: 45px;
    height: 45px;
}
.media i{
    color: #cbfe1c;
}
.media div:hover{
    background-color: #263B20;
    cursor: pointer;
}
.media div:hover i{
    color: #CBFE1C;
}
.bg-gray{
    background-color: #364153;
}
.when-focus:focus{
    outline: 2px solid var(--main) !important;
}
.input{
    border: none;
    outline: none;
}
.resize-none{
    resize: none;
    height: 120px;
}
.card{
    position: relative;
}
.rotate{
    writing-mode: vertical-rl;
}
.h-fixed{
    height: 320px;
}
.card-effect::before{
    content: "";

}
.bg-blackk{
    background-color: #1A1A1A;
}
.h-fixed2{
    height: 290px;
}
.ico{
    width: 70px;
    height: 70px;
    background-color: #1E2939;
    transition: all 0.3s ease;
}
.cardd:hover .ico{
    background-color: var(--main);
}
.cardd:hover .ico i{
    color: black !important;
}
.cardd:hover{
    border: 1px solid var(--main) !important;
}
.cardd::before,
.cardd::after{
    content: "";
    position: absolute;
    width: 0;
    height: 0;
    border-style: solid;
    transition: all 0.3s ease;
    opacity: 0;
}
.cardd::before{
    top: -30px;
    left: -30px;
    border-width: 30px 30px 0px 0px;
    border-color: var(--main) transparent transparent transparent ;

}
.cardd::after{
    bottom: -30px;
    right: -30px;
    border-width: 0px 0px 30px 30px;
    border-color: transparent transparent var(--main) transparent;
}
.cardd:hover::before{
    opacity: 1;
    top: 20px;
    left: 20px;
}
.cardd:hover::after{
    opacity: 1;
    bottom: 20px;
    right: 20px;

}
.what-we-do::after{
    content: "";
    position: absolute;
    bottom: 0;
    left: 50%;
    transform: translateX(-50%);
    width: 40%;
    height: 2px;
    background-image: linear-gradient(to right, transparent, var(--main) 20%, var(--main) 80%, transparent);
    box-shadow: 1px 1px 5px var(--main);
}

/* Card Effect */
.card-hover img,
.card-hover .content{
  filter: grayscale(100%);   
  transition: filter 0.8s ease;
}
.card-hover .overlay {
  background-color: rgba(0, 0, 0, 0.144); 
  transform: translateY(0); 
  transition: transform 0.8s ease;
  z-index: 1;
}
.card-hover:hover .overlay {
  transform: translateY(-100%);
}
.card-hover:hover{
  cursor: pointer;
}
.card-hover:hover img,
.card-hover:hover .content  {
  filter: grayscale(0%);
}
.w-96{
    width: 96px;
}
.h-96{
    height: 96px;
}
.move-to-left{
    animation: move-left 15s linear infinite;
}
.move-to-right{
    animation: move-right 15s linear infinite;
}
.row-one::before,
.row-one::after,
.row-two::before,
.row-two::after {
  content: "";
  position: absolute;
  top: 0;
  bottom: 0;
  width: 100px;
  z-index: 2;
}
.row-one::before,
.row-two::before {
    left: 0;
    background: linear-gradient(to right, #111, transparent);
}
.row-one::after,
.row-two::after {
    right: 0;
    background: linear-gradient(to left, #111111, transparent);
}
.move-to-left,
.move-to-right {
  display: inline-block;
  white-space: nowrap;
}

.animation .back{
    left: 10%;
    right: 10%;
    z-index: -1;
    background: var(--main);
    background: radial-gradient(ellipse, rgba(203, 254, 28, 1) 0%, #0b0e1385 60%, #0b0e1381 100%);
}
.controls{
    bottom: 10px;
    left: 50%;
    transform: translateX(-50%);
}
.btn-cont{
    width: 60px;
    height: 60px;
    border: 2px solid #f1f1f181;
    transition: all 0.2s ease;
}
.custom-control-btn {
  position: static !important;
  background: none !important;
  border: none;
  padding: 0;
  color: #99a1af;
}
.custom-control-btn:hover .btn-cont{
    border:2px solid var(--main);
    color: var(--main);
}
.upper i{
    font-size: 0.8rem;
}
.upper div{
    font-size: 0.9rem;
}
.bgg{
    background-color: #28441B;
}
.carousel-item .image div{
    transition: all 0.4s ease;
}
.carousel-item .image > div:hover{
    border: 2px solid var(--main);
    cursor: pointer;
}
.carousel-item .image div:hover .upper{
    top: 20px;
}
.carousel-item .image div:hover .lower{
    bottom: 0px;
    opacity: 1;
}
.upper{
    top: -100%;
}
.lower{
    bottom: -20%;
    width: 100%;
    height: 70%;
    background-image: linear-gradient(to top , #c9fe1caa , transparent);
    opacity: 0;   
}




@media (max-width:1200px) {
    .w-sm-100 {
        width: 100% !important;
    }
    .h-sm-fit {
        height: 380px;
    }
    .what-we-do::after {
        bottom: -50px;
    }
    .pos {
        bottom: -4%;
        left: -2%;
    }
    
}

@keyframes move-left {
  0% {
    transform: translateX(0);
   }
  100% {
    transform: translateX(-50%);
  }
}
@keyframes move-right {
  0% {
    transform: translateX(-50%);
   }
  100% {
    transform: translateX(0);
  }
}

